{% extends 'base.html' %}
{% load markdownify %}

{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            {{ project.description|markdownify }}
            <h2>Tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">Create a new task</a>
            </p>
            {% comment %} project.tasks is a query in Django. When you apply
                all you are fetching the info from the query. The query is saying 
                from project get all of the tasks of this project. With all we are 
                actually fetching the data {% endcomment %}
            {% if project.tasks.all %}
                <table class="task-table">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in project.tasks.all %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_completed }}</td>                                </tr>
                        {% empty %}
                            <p>This project has no tasks</p>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
